commit 332e880522b8339f25b10ae2357bb44a8cea242c
Author: Gao,Yan <ygao@suse.com>
Date:   Wed May 11 17:10:50 2016 +0200

    Test: pengine: lf#2560/lf#2588 - Correctly set the environment variable "OCF_RESKEY_CRM_meta_timeout" when "start-delay" is configured (update regression tests)

Index: pacemaker/pengine/test10/bnc-515172.exp
===================================================================
--- pacemaker.orig/pengine/test10/bnc-515172.exp
+++ pacemaker/pengine/test10/bnc-515172.exp
@@ -26,7 +26,7 @@
     <action_set>
       <rsc_op id="26" operation="monitor" operation_key="PRIM_Web_IP1_monitor_5000" on_node="sles11-ha2" on_node_uuid="sles11-ha2">
         <primitive id="PRIM_Web_IP1" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_start_delay="1000" CRM_meta_timeout="6000"  ip="192.168.2.45"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_start_delay="1000" CRM_meta_timeout="5000"  ip="192.168.2.45"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-1572-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-1572-1.exp
+++ pacemaker/pengine/test10/bug-1572-1.exp
@@ -694,7 +694,7 @@
      <action_set>
       <rsc_op id="2" operation="monitor" operation_key="pgsql_5555_monitor_30000" on_node="arc-tkincaidlx.wsicorp.com" on_node_uuid="2ba293d2-2c30-4957-ad8d-59ad15bb7e26">
         <primitive id="pgsql_5555" class="ocf" provider="heartbeat" type="pgsql"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="40000"  logfile="/var/log/pg.log" pgctl="/usr/local/pgsql/bin/pg_ctl" pgdata="/mirror/pgsql/data_hb" pgdba="postgres" pgport="5555" psql="/usr/local/pgsql/bin/psql" start_opt="-p 5555"/>
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="30000"  logfile="/var/log/pg.log" pgctl="/usr/local/pgsql/bin/pg_ctl" pgdata="/mirror/pgsql/data_hb" pgdba="postgres" pgport="5555" psql="/usr/local/pgsql/bin/psql" start_opt="-p 5555"/>
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/bug-1820-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-1820-1.exp
+++ pacemaker/pengine/test10/bug-1820-1.exp
@@ -112,7 +112,7 @@
     <action_set>
       <rsc_op id="12" operation="monitor" operation_key="test1_monitor_10000" on_node="world" on_node_uuid="e4603bf6-d10f-4af2-b53b-ba72de6164d0">
         <primitive id="test1" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="60000" allow_migrate="true"  xmfile="/etc/xen/test1"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="30000" allow_migrate="true"  xmfile="/etc/xen/test1"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -188,7 +188,7 @@
     <action_set>
       <rsc_op id="17" operation="monitor" operation_key="test2_monitor_10000" on_node="world" on_node_uuid="e4603bf6-d10f-4af2-b53b-ba72de6164d0">
         <primitive id="test2" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="60000" allow_migrate="true"  xmfile="/etc/xen/test2"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="30000" allow_migrate="true"  xmfile="/etc/xen/test2"/>
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/bug-1820.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-1820.exp
+++ pacemaker/pengine/test10/bug-1820.exp
@@ -81,7 +81,7 @@
      <action_set>
        <rsc_op id="9" operation="monitor" operation_key="test1_monitor_10000" on_node="world" on_node_uuid="e4603bf6-d10f-4af2-b53b-ba72de6164d0">
         <primitive id="test1" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="60000" allow_migrate="true"  xmfile="/etc/xen/test1"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="30000" allow_migrate="true"  xmfile="/etc/xen/test1"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -157,7 +157,7 @@
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="test2_monitor_10000" on_node="world" on_node_uuid="e4603bf6-d10f-4af2-b53b-ba72de6164d0">
         <primitive id="test2" class="ocf" provider="heartbeat" type="Xen"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="60000" allow_migrate="true"  xmfile="/etc/xen/test2"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="30000" allow_migrate="true"  xmfile="/etc/xen/test2"/>
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/bug-lf-2422.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-lf-2422.exp
+++ pacemaker/pengine/test10/bug-lf-2422.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="sbd_stonith_monitor_15000" on_node="qa-suse-2" on_node_uuid="qa-suse-2">
         <primitive id="sbd_stonith" class="stonith" type="external/sbd"/>
-        <attributes CRM_meta_interval="15000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="30000"  sbd_device="/dev/sda1"/>
+        <attributes CRM_meta_interval="15000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="15000"  sbd_device="/dev/sda1"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-n-385265-2.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-n-385265-2.exp
+++ pacemaker/pengine/test10/bug-n-385265-2.exp
@@ -59,7 +59,7 @@
      <action_set>
       <rsc_op id="8" operation="monitor" operation_key="resource_ip_common_monitor_30000" on_node="ih01" on_node_uuid="9be32c75-0490-4cf9-ae18-c039a94fd327">
         <primitive id="resource_ip_common" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="55000"  ip="10.116.38.10"/>
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="25000"  ip="10.116.38.10"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -104,7 +104,7 @@
      <action_set>
       <rsc_op id="11" operation="monitor" operation_key="resource_idvscommon_monitor_30000" on_node="ih01" on_node_uuid="9be32c75-0490-4cf9-ae18-c039a94fd327">
         <primitive id="resource_idvscommon" class="ocf" provider="dfs" type="idvs"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_start_delay="120000" CRM_meta_timeout="145000"  site="common"/>
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_start_delay="120000" CRM_meta_timeout="25000"  site="common"/>
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/bug-n-387749.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-n-387749.exp
+++ pacemaker/pengine/test10/bug-n-387749.exp
@@ -227,7 +227,7 @@
      <action_set>
       <rsc_op id="29" operation="monitor" operation_key="resource_ipaddr1_single_monitor_5000" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3">
         <primitive id="resource_ipaddr1_single" class="ocf" provider="heartbeat" type="IPaddr"/>
-        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_start_delay="1000" CRM_meta_timeout="21000" cidr_netmask="24"  ip="192.168.2.6" nic="eth1" target_role="started"/>
+        <attributes CRM_meta_interval="5000" CRM_meta_name="monitor" CRM_meta_on_fail="restart" CRM_meta_start_delay="1000" CRM_meta_timeout="20000" cidr_netmask="24"  ip="192.168.2.6" nic="eth1" target_role="started"/>
        </rsc_op>
      </action_set>
     <inputs>
@@ -287,7 +287,7 @@
      <action_set>
       <rsc_op id="32" operation="monitor" operation_key="resource_nfsserver_single_monitor_15000" on_node="power720-1" on_node_uuid="ac446085-4c9d-4d4a-a94d-5e63b6e421e3">
         <primitive id="resource_nfsserver_single" class="lsb" type="nfsserver"/>
-        <attributes CRM_meta_enabled="true" CRM_meta_interval="15000" CRM_meta_name="monitor" CRM_meta_on_fail="stop" CRM_meta_role="Started" CRM_meta_start_delay="15000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_enabled="true" CRM_meta_interval="15000" CRM_meta_name="monitor" CRM_meta_on_fail="stop" CRM_meta_role="Started" CRM_meta_start_delay="15000" CRM_meta_timeout="15000" />
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/clone-anon-failcount.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-anon-failcount.exp
+++ pacemaker/pengine/test10/clone-anon-failcount.exp
@@ -74,7 +74,7 @@
     <action_set>
       <rsc_op id="39" operation="start" operation_key="UmVIPcheck_start_0" on_node="srv04" on_node_uuid="srv04">
         <primitive id="UmVIPcheck" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_start_delay="2000" CRM_meta_timeout="92000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_start_delay="2000" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/clone-no-shuffle.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-no-shuffle.exp
+++ pacemaker/pengine/test10/clone-no-shuffle.exp
@@ -118,7 +118,7 @@
      <action_set>
       <rsc_op id="15" operation="monitor" operation_key="drbd1:1_monitor_11000" on_node="dktest1sles10" on_node_uuid="c563f60c-45a8-439e-85dc-645f4ecc150d">
         <primitive id="drbd1" long-id="drbd1:1" class="ocf" provider="heartbeat" type="drbd"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="11000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="true" CRM_meta_role="Slave" CRM_meta_start_delay="30000" CRM_meta_timeout="45000"  drbd_resource="drbd1"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="11000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="true" CRM_meta_role="Slave" CRM_meta_start_delay="30000" CRM_meta_timeout="15000"  drbd_resource="drbd1"/>
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/coloc-slave-anti.exp
===================================================================
--- pacemaker.orig/pengine/test10/coloc-slave-anti.exp
+++ pacemaker/pengine/test10/coloc-slave-anti.exp
@@ -32,7 +32,7 @@
      <action_set>
       <rsc_op id="50" operation="monitor" operation_key="fs-1_monitor_20000" on_node="pollux" on_node_uuid="26cfbecf-dc25-42e1-84de-325ca9e457b5">
         <primitive id="fs-1" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="20000"  device="/dev/drbd0" directory="/drbd" fstype="xfs" options="noatime,exec,nosuid,nodev"/>
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="10000"  device="/dev/drbd0" directory="/drbd" fstype="xfs" options="noatime,exec,nosuid,nodev"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -58,7 +58,7 @@
      <action_set>
       <rsc_op id="52" operation="monitor" operation_key="ip-198_monitor_30000" on_node="pollux" on_node_uuid="26cfbecf-dc25-42e1-84de-325ca9e457b5">
         <primitive id="ip-198" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="25000" cidr_netmask="28"  iflabel="198" ip="80.237.189.198" nic="eth1"/>
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="15000" cidr_netmask="28"  iflabel="198" ip="80.237.189.198" nic="eth1"/>
        </rsc_op>
      </action_set>
      <inputs>
@@ -87,7 +87,7 @@
      <action_set>
       <rsc_op id="54" operation="monitor" operation_key="apache_monitor_60000" on_node="pollux" on_node_uuid="26cfbecf-dc25-42e1-84de-325ca9e457b5">
         <primitive id="apache" class="ocf" provider="custom" type="apache2"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="40000" apache2_bin="/usr/sbin/apache2" apache2_config="/etc/apache2/httpd.conf" apache2_listening_check="80.237.189.198:80" apache2_opts="-D STATUS -D INFO -D LANGUAGE -D SSL -D SUEXEC -D PHP5" apache2_pidfile="/var/run/apache2.pid" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" apache2_bin="/usr/sbin/apache2" apache2_config="/etc/apache2/httpd.conf" apache2_listening_check="80.237.189.198:80" apache2_opts="-D STATUS -D INFO -D LANGUAGE -D SSL -D SUEXEC -D PHP5" apache2_pidfile="/var/run/apache2.pid" />
        </rsc_op>
      </action_set>
      <inputs>
Index: pacemaker/pengine/test10/colocate-primitive-with-clone.exp
===================================================================
--- pacemaker.orig/pengine/test10/colocate-primitive-with-clone.exp
+++ pacemaker/pengine/test10/colocate-primitive-with-clone.exp
@@ -35,7 +35,7 @@
     <action_set>
       <rsc_op id="43" operation="start" operation_key="UmVIPcheck_start_0" on_node="srv04" on_node_uuid="srv04">
         <primitive id="UmVIPcheck" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_start_delay="2000" CRM_meta_timeout="92000" />
+        <attributes CRM_meta_name="start" CRM_meta_on_fail="restart" CRM_meta_start_delay="2000" CRM_meta_timeout="90000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/group-dependants.exp
===================================================================
--- pacemaker.orig/pengine/test10/group-dependants.exp
+++ pacemaker/pengine/test10/group-dependants.exp
@@ -99,7 +99,7 @@
     <action_set>
       <rsc_op id="23" operation="monitor" operation_key="mysqld_monitor_1000" on_node="asttest2" on_node_uuid="asttest2">
         <primitive id="mysqld" class="lsb" type="mysql"/>
-        <attributes CRM_meta_interval="1000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="25000" />
+        <attributes CRM_meta_interval="1000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="15000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -225,7 +225,7 @@
     <action_set>
       <rsc_op id="32" operation="monitor" operation_key="fonulator_monitor_1000" on_node="asttest2" on_node_uuid="asttest2">
         <primitive id="fonulator" class="lsb" type="fonulator"/>
-        <attributes CRM_meta_interval="1000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="50000" />
+        <attributes CRM_meta_interval="1000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -254,7 +254,7 @@
     <action_set>
       <rsc_op id="34" operation="monitor" operation_key="asterisk_monitor_1000" on_node="asttest2" on_node_uuid="asttest2">
         <primitive id="asterisk" class="lsb" type="asterisk-11.0.1"/>
-        <attributes CRM_meta_interval="1000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="25000" />
+        <attributes CRM_meta_interval="1000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="15000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -283,7 +283,7 @@
     <action_set>
       <rsc_op id="36" operation="monitor" operation_key="iax2_mon_monitor_60000" on_node="asttest2" on_node_uuid="asttest2">
         <primitive id="iax2_mon" class="lsb" type="iax2_mon"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="50000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -312,7 +312,7 @@
     <action_set>
       <rsc_op id="38" operation="monitor" operation_key="httpd_monitor_1000" on_node="asttest2" on_node_uuid="asttest2">
         <primitive id="httpd" class="lsb" type="apache2"/>
-        <attributes CRM_meta_interval="1000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_interval="1000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -341,7 +341,7 @@
     <action_set>
       <rsc_op id="40" operation="monitor" operation_key="tftp_monitor_60000" on_node="asttest2" on_node_uuid="asttest2">
         <primitive id="tftp" class="lsb" type="tftp-srce"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="10000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1222,7 +1222,7 @@
     <action_set>
       <rsc_op id="113" operation="monitor" operation_key="fs_drbd_monitor_1000" on_node="asttest2" on_node_uuid="asttest2">
         <primitive id="fs_drbd" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="1000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="70000"  device="/dev/drbd/by-res/r0" directory="/mnt/drbd" fstype="ext3"/>
+        <attributes CRM_meta_interval="1000" CRM_meta_name="monitor" CRM_meta_start_delay="30000" CRM_meta_timeout="40000"  device="/dev/drbd/by-res/r0" directory="/mnt/drbd" fstype="ext3"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1235,7 +1235,7 @@
     <action_set>
       <rsc_op id="112" operation="start" operation_key="fs_drbd_start_0" on_node="asttest2" on_node_uuid="asttest2">
         <primitive id="fs_drbd" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_name="start" CRM_meta_start_delay="1000" CRM_meta_timeout="61000"  device="/dev/drbd/by-res/r0" directory="/mnt/drbd" fstype="ext3"/>
+        <attributes CRM_meta_name="start" CRM_meta_start_delay="1000" CRM_meta_timeout="60000"  device="/dev/drbd/by-res/r0" directory="/mnt/drbd" fstype="ext3"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -1251,7 +1251,7 @@
     <action_set>
       <rsc_op id="111" operation="stop" operation_key="fs_drbd_stop_0" on_node="asttest1" on_node_uuid="asttest1">
         <primitive id="fs_drbd" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_name="stop" CRM_meta_start_delay="1000" CRM_meta_timeout="61000"  device="/dev/drbd/by-res/r0" directory="/mnt/drbd" fstype="ext3"/>
+        <attributes CRM_meta_name="stop" CRM_meta_start_delay="1000" CRM_meta_timeout="60000"  device="/dev/drbd/by-res/r0" directory="/mnt/drbd" fstype="ext3"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/master-partially-demoted-group.exp
===================================================================
--- pacemaker.orig/pengine/test10/master-partially-demoted-group.exp
+++ pacemaker/pengine/test10/master-partially-demoted-group.exp
@@ -351,7 +351,7 @@
     <action_set>
       <rsc_op id="38" operation="monitor" operation_key="vip-164-fw_monitor_10000" internal_operation_key="vip-164-fw:0_monitor_10000" on_node="sd01-1" on_node_uuid="2">
         <primitive id="vip-164-fw" long-id="vip-164-fw:0" class="ocf" provider="vds-ok" type="VIPfirewall"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" allow_action="pass"  vip="10.5.4.164"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="10000" allow_action="pass"  vip="10.5.4.164"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -377,7 +377,7 @@
     <action_set>
       <rsc_op id="41" operation="monitor" operation_key="vip-165-fw_monitor_10000" internal_operation_key="vip-165-fw:0_monitor_10000" on_node="sd01-1" on_node_uuid="2">
         <primitive id="vip-165-fw" long-id="vip-165-fw:0" class="ocf" provider="vds-ok" type="VIPfirewall"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" allow_action="pass"  vip="10.5.4.165"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="10000" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="10000" allow_action="pass"  vip="10.5.4.165"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/one-or-more-unrunnnable-instances.exp
===================================================================
--- pacemaker.orig/pengine/test10/one-or-more-unrunnnable-instances.exp
+++ pacemaker/pengine/test10/one-or-more-unrunnnable-instances.exp
@@ -2073,7 +2073,7 @@
     <action_set>
       <rsc_op id="350" operation="monitor" operation_key="nova-consoleauth_monitor_60000" internal_operation_key="nova-consoleauth:0_monitor_60000" on_node="rdo7-node1" on_node_uuid="1">
         <primitive id="nova-consoleauth" long-id="nova-consoleauth:0" class="systemd" type="openstack-nova-consoleauth"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2099,7 +2099,7 @@
     <action_set>
       <rsc_op id="352" operation="monitor" operation_key="nova-consoleauth:1_monitor_60000" on_node="rdo7-node2" on_node_uuid="2">
         <primitive id="nova-consoleauth" long-id="nova-consoleauth:1" class="systemd" type="openstack-nova-consoleauth"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2125,7 +2125,7 @@
     <action_set>
       <rsc_op id="354" operation="monitor" operation_key="nova-consoleauth:2_monitor_60000" on_node="rdo7-node3" on_node_uuid="3">
         <primitive id="nova-consoleauth" long-id="nova-consoleauth:2" class="systemd" type="openstack-nova-consoleauth"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2184,7 +2184,7 @@
     <action_set>
       <rsc_op id="360" operation="monitor" operation_key="nova-novncproxy_monitor_60000" internal_operation_key="nova-novncproxy:0_monitor_60000" on_node="rdo7-node1" on_node_uuid="1">
         <primitive id="nova-novncproxy" long-id="nova-novncproxy:0" class="systemd" type="openstack-nova-novncproxy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2210,7 +2210,7 @@
     <action_set>
       <rsc_op id="362" operation="monitor" operation_key="nova-novncproxy:1_monitor_60000" on_node="rdo7-node2" on_node_uuid="2">
         <primitive id="nova-novncproxy" long-id="nova-novncproxy:1" class="systemd" type="openstack-nova-novncproxy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2236,7 +2236,7 @@
     <action_set>
       <rsc_op id="364" operation="monitor" operation_key="nova-novncproxy:2_monitor_60000" on_node="rdo7-node3" on_node_uuid="3">
         <primitive id="nova-novncproxy" long-id="nova-novncproxy:2" class="systemd" type="openstack-nova-novncproxy"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2295,7 +2295,7 @@
     <action_set>
       <rsc_op id="370" operation="monitor" operation_key="nova-api_monitor_60000" internal_operation_key="nova-api:0_monitor_60000" on_node="rdo7-node1" on_node_uuid="1">
         <primitive id="nova-api" long-id="nova-api:0" class="systemd" type="openstack-nova-api"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2321,7 +2321,7 @@
     <action_set>
       <rsc_op id="372" operation="monitor" operation_key="nova-api:1_monitor_60000" on_node="rdo7-node2" on_node_uuid="2">
         <primitive id="nova-api" long-id="nova-api:1" class="systemd" type="openstack-nova-api"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2347,7 +2347,7 @@
     <action_set>
       <rsc_op id="374" operation="monitor" operation_key="nova-api:2_monitor_60000" on_node="rdo7-node3" on_node_uuid="3">
         <primitive id="nova-api" long-id="nova-api:2" class="systemd" type="openstack-nova-api"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2406,7 +2406,7 @@
     <action_set>
       <rsc_op id="380" operation="monitor" operation_key="nova-scheduler_monitor_60000" internal_operation_key="nova-scheduler:0_monitor_60000" on_node="rdo7-node1" on_node_uuid="1">
         <primitive id="nova-scheduler" long-id="nova-scheduler:0" class="systemd" type="openstack-nova-scheduler"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2432,7 +2432,7 @@
     <action_set>
       <rsc_op id="382" operation="monitor" operation_key="nova-scheduler:1_monitor_60000" on_node="rdo7-node2" on_node_uuid="2">
         <primitive id="nova-scheduler" long-id="nova-scheduler:1" class="systemd" type="openstack-nova-scheduler"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2458,7 +2458,7 @@
     <action_set>
       <rsc_op id="384" operation="monitor" operation_key="nova-scheduler:2_monitor_60000" on_node="rdo7-node3" on_node_uuid="3">
         <primitive id="nova-scheduler" long-id="nova-scheduler:2" class="systemd" type="openstack-nova-scheduler"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2517,7 +2517,7 @@
     <action_set>
       <rsc_op id="390" operation="monitor" operation_key="nova-conductor_monitor_60000" internal_operation_key="nova-conductor:0_monitor_60000" on_node="rdo7-node1" on_node_uuid="1">
         <primitive id="nova-conductor" long-id="nova-conductor:0" class="systemd" type="openstack-nova-conductor"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2543,7 +2543,7 @@
     <action_set>
       <rsc_op id="392" operation="monitor" operation_key="nova-conductor:1_monitor_60000" on_node="rdo7-node2" on_node_uuid="2">
         <primitive id="nova-conductor" long-id="nova-conductor:1" class="systemd" type="openstack-nova-conductor"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -2569,7 +2569,7 @@
     <action_set>
       <rsc_op id="394" operation="monitor" operation_key="nova-conductor:2_monitor_60000" on_node="rdo7-node3" on_node_uuid="3">
         <primitive id="nova-conductor" long-id="nova-conductor:2" class="systemd" type="openstack-nova-conductor"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="30000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="6" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_start_delay="10000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/order-serialize-set.exp
===================================================================
--- pacemaker.orig/pengine/test10/order-serialize-set.exp
+++ pacemaker/pengine/test10/order-serialize-set.exp
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="xen-a-fencing_monitor_60000" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="xen-a-fencing" class="stonith" type="external/ipmi"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="75000"  hostname="xen-a" interface="lanplus" ipaddr="217.148.178.55" passwd="****" userid="root"/>
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="60000"  hostname="xen-a" interface="lanplus" ipaddr="217.148.178.55" passwd="****" userid="root"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/order-serialize.exp
===================================================================
--- pacemaker.orig/pengine/test10/order-serialize.exp
+++ pacemaker/pengine/test10/order-serialize.exp
@@ -25,7 +25,7 @@
     <action_set>
       <rsc_op id="7" operation="monitor" operation_key="xen-a-fencing_monitor_60000" on_node="xen-b" on_node_uuid="9cb7f556-e0a7-4073-8845-2d7c1d54e331">
         <primitive id="xen-a-fencing" class="stonith" type="external/ipmi"/>
-        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="75000"  hostname="xen-a" interface="lanplus" ipaddr="217.148.178.55" passwd="****" userid="root"/>
+        <attributes CRM_meta_interval="60000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="60000"  hostname="xen-a" interface="lanplus" ipaddr="217.148.178.55" passwd="****" userid="root"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/origin.exp
===================================================================
--- pacemaker.orig/pengine/test10/origin.exp
+++ pacemaker/pengine/test10/origin.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="monitor" operation_key="resD_monitor_3600000" on_node="node1" on_node_uuid="node1">
         <primitive id="resD" class="ocf" provider="heartbeat" type="Dummy"/>
-        <attributes CRM_meta_interval="3600000" CRM_meta_interval_origin="2014-06-01 00:35:00" CRM_meta_name="monitor" CRM_meta_start_delay="2100000" CRM_meta_timeout="2160000" />
+        <attributes CRM_meta_interval="3600000" CRM_meta_interval_origin="2014-06-01 00:35:00" CRM_meta_name="monitor" CRM_meta_start_delay="2100000" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/rsc-sets-clone-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/rsc-sets-clone-1.exp
+++ pacemaker/pengine/test10/rsc-sets-clone-1.exp
@@ -77,7 +77,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="stonithsys3_monitor_15000" on_node="sys2" on_node_uuid="sys2">
         <primitive id="stonithsys3" class="stonith" type="external/ipmi"/>
-        <attributes CRM_meta_interval="15000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="30000"  hostname="sys3" interface="lan" ipaddr="192.168.1.222" passwd="****" userid="admin"/>
+        <attributes CRM_meta_interval="15000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="15000"  hostname="sys3" interface="lan" ipaddr="192.168.1.222" passwd="****" userid="admin"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -443,7 +443,7 @@
     <action_set>
       <rsc_op id="77" operation="monitor" operation_key="stonithsys2_monitor_15000" on_node="sys3" on_node_uuid="sys3">
         <primitive id="stonithsys2" class="stonith" type="external/ipmi"/>
-        <attributes CRM_meta_interval="15000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="30000"  hostname="sys2" interface="lan" ipaddr="192.168.1.221" passwd="****" userid="admin"/>
+        <attributes CRM_meta_interval="15000" CRM_meta_name="monitor" CRM_meta_start_delay="15000" CRM_meta_timeout="15000"  hostname="sys2" interface="lan" ipaddr="192.168.1.221" passwd="****" userid="admin"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/systemhealth2.exp
===================================================================
--- pacemaker.orig/pengine/test10/systemhealth2.exp
+++ pacemaker/pengine/test10/systemhealth2.exp
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="apache_1_monitor_10000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="apache_1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="80000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -66,7 +66,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="nfs_1_monitor_20000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="nfs_1" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="50000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="40000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/systemhealth3.exp
===================================================================
--- pacemaker.orig/pengine/test10/systemhealth3.exp
+++ pacemaker/pengine/test10/systemhealth3.exp
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="apache_1_monitor_10000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="apache_1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="80000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -66,7 +66,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="nfs_1_monitor_20000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="nfs_1" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="50000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="40000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/systemhealthm2.exp
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthm2.exp
+++ pacemaker/pengine/test10/systemhealthm2.exp
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="apache_1_monitor_10000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="apache_1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="80000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -66,7 +66,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="nfs_1_monitor_20000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="nfs_1" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="50000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="40000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/systemhealthn2.exp
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthn2.exp
+++ pacemaker/pengine/test10/systemhealthn2.exp
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="apache_1_monitor_10000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="apache_1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="80000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -66,7 +66,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="nfs_1_monitor_20000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="nfs_1" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="50000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="40000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/systemhealthn3.exp
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthn3.exp
+++ pacemaker/pengine/test10/systemhealthn3.exp
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="apache_1_monitor_10000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="apache_1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="80000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -66,7 +66,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="nfs_1_monitor_20000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="nfs_1" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="50000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="40000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/systemhealthp2.exp
===================================================================
--- pacemaker.orig/pengine/test10/systemhealthp2.exp
+++ pacemaker/pengine/test10/systemhealthp2.exp
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="8" operation="monitor" operation_key="apache_1_monitor_10000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="apache_1" class="ocf" provider="heartbeat" type="apache"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="80000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_start_delay="60000" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -50,7 +50,7 @@
     <action_set>
       <rsc_op id="10" operation="monitor" operation_key="nfs_1_monitor_20000" on_node="hs21c" on_node_uuid="c97a3ee5-02d8-4fad-a9fb-a79ae2b35549">
         <primitive id="nfs_1" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="50000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
+        <attributes CRM_meta_interval="20000" CRM_meta_name="monitor" CRM_meta_start_delay="10000" CRM_meta_timeout="40000"  device="hs21d:/nfs" directory="/mnt/tmp" fstype="nfs" options="ro"/>
       </rsc_op>
     </action_set>
     <inputs>
